function agencyInput(features,frame)
% take new features and distribute them to the agents
global agents 
global featureHist
global featureWeights
global swDebugMode
%%%%%%%%%%%%%%%%%%%%%%%%%
% overall Histogram
for i=1:length(features)
     featureHist(:,end+1)=features(i).featureVect;
end

if (swDebugMode)
  figure(66)
  tmpsiz=size(featureHist,1);
  for i=1:tmpsiz
    subplot(tmpsiz,1,i)
    hist(featureHist(i,:),10);
  end
end
%% normalize features corresponding to histogram to 2-sigma-range
normShift=mean(featureHist,2);
normDivisor=2*std(featureHist,1,2)./featureWeights; % 2-sigma range with weigts

%%
%%%%%%%%%%%%%%%%%%%%%%%%


% let each agent "choose" his closest feature vector
chosenInd=[];
featSleepThrs=0.8;
for a=1:agents.size
  minVal=inf;
	minInd=-1;
	thisAgent=agents.get(a-1);
  for f=1:size(features)
		thisVal=norm((features(f).featureVect-thisAgent.featureVect)./normDivisor);
		if(thisVal<minVal)
			minVal=thisVal;
			minInd=f;
		end
	end

	% decide about sleeping
	if (minVal<featSleepThrs)	
          thisAgent.setNextFeat(features(minInd));
	  chosenInd=[chosenInd minInd];
	else
	  thisAgent.sleep;
        end
end			

% find feature Vects that have no agent yet
newFeatInd=setdiff(1:length(features), chosenInd);
% and create new agents for them
for n=1:length(newFeatInd)
	newAgent=jmurec.agent(features(newFeatInd(n)),frame);
	%newAgent.setNextFeat(features(newFeatInd(n)),0);
	agents.add(newAgent);
end	

%newSizeAgency=agents.size


