function [instInd, instName, data]=classifyAgent(snd,agent,model,type)
%
%
numSpecFeat=1;
numTempFeat=1;

if (nargin<4), type= 'GMM';end

feat = getAgentFeatures(snd,agent,model.specEnv,model.harmEnv);
  % normalize Features according to model statistics
feat = normalizeFeat(feat,model);

specVec = [feat.vect.F0]; %;feat.vect.Win]; 

%test
specVec=mean(specVec,2);

switch type
case 'NN'
  data.tempLhd = sim(model.NN.temp,feat.vect.temp);
  data.specLhd = sim(model.NN.spec,specVec);
  data.specVect=data.specLhd;
  data.lhd=mean(data.specLhd,2); %data.tempLhd   ;
  [bla instInd]=max(data.lhd);
case 'GMM-bastel'
  for m=1:size(model.names,1)
    [bla, lY] = lmultigauss(specVec, ...
	model.GMM.specModel(m).mu, ...
	model.GMM.specModel(m).sigma, ...
	model.GMM.specModel(m).c);
    data.specLhd(m)=mean(lY);
    data.specVect(m,:)=lY;
    [bla, lY] = lmultigauss(feat.vect.temp, ...
	model.GMM.tempModel(m).mu, ...
	model.GMM.tempModel(m).sigma, ...
	model.GMM.tempModel(m).c);
    data.tempLhd(m)=lY;

  end
  % normalize
  % first make positive:
 
  %this is a hack
  data.specLhd=data.specLhd - min(data.specLhd);
  data.tempLhd=data.tempLhd - min(data.tempLhd);
  
  %data.specLhd=data.specLhd/max(data.specLhd);
  %data.tempLhd=data.tempLhd/max(data.tempLhd);
  
  data.lhd = (numSpecFeat*data.specLhd + numTempFeat*data.tempLhd) / (numSpecFeat+numTempFeat);
 
  [bla instInd]=max(data.lhd);
  
case 'GMM'
  for m=1:size(model.names,1)  
    data.tempLhd(m) = gmmprob(model.GMM.tempModel(m), feat.vect.temp');
    data.specLhd(m) = gmmprob(model.GMM.specModel(m), specVec');

  end
  % normalize
  data.specLhd=data.specLhd/sum(data.specLhd);
  data.tempLhd=data.tempLhd/sum(data.tempLhd);
  

  data.lhd = (numSpecFeat*data.specLhd + numTempFeat*data.tempLhd) / (numSpecFeat+numTempFeat);
  data.reliab = abs(data.lhd(1)-data.lhd(2));
  [bla instInd]=max(data.lhd);
case 'SVM'
  % tempModel 
  [data.tempLabels, data.tempDecisionValue]= SVMClass(feat.vect.temp, model.SVM.temp.AlphaY, ... 
	model.SVM.temp.SVs, model.SVM.temp.Bias, model.SVM.temp.Parameters, ...
	model.SVM.temp.nSV, model.SVM.temp.nLabel);
  % spec model
  [data.specLabels, data.specDecisionValue]= SVMClass(specVec, model.SVM.spec.AlphaY, ... 
	model.SVM.spec.SVs, model.SVM.spec.Bias, model.SVM.spec.Parameters, ...
	model.SVM.spec.nSV, model.SVM.spec.nLabel);

  %data.specLhd = data.specDecisionValue;
  data.lhd=data.tempDecisionValue + mean(data.specDecisionValue) ;
  data.specVect=data.specLabels;
  %instInd=data.tempLabels;
  instInd=floor(median([ data.specLabels data.tempLabels] ));
  data.SVMdecisionValue=mean([data.tempDecisionValue, data.specDecisionValue]);
end  




instName=model.names(instInd,:);


