function stats = classifyAll(snd, models, type)
%
% classify all agents and plot their trajectories 
%
plotLineOrder=strvcat('b','g','r','y');

if (nargin <3), type = 'GMM'; end

stats.numClassified=zeros(size(models.names,1),1);

v=snd.var;
minAge=3;
figure(1)
hold on
for a=1:length(snd.agents)
  % conditions:
  if (~snd.agents(a).valid), continue; end
  if (snd.agents(a).age<minAge), continue; end
 
  %age=TSel-snd.agents(a).birth+1;
  trace=snd.agents(a).trace;
   % his f0's
  clear f0s
  for i=1:length(trace)
    f0s(i)=snd.an.wins(snd.agents(a).birth+i-1).f0(trace(i));
  end
  timeInd=snd.agents(a).birth:snd.agents(a).death-1;

  [instInd, instName, data]=classifyAgent(snd,snd.agents(a),models,type);
     
  stats.numClassified(instInd) = stats.numClassified(instInd) +1;
  plot(v.t(timeInd),[f0s.freq], plotLineOrder(instInd,:), 'LineWidth',4);
	axis xy;
    	axis([0 v.tMax 0 1000]);
	hold on
end  
hold off
stats.totalValidAgents=sum(stats.numClassified);

%legend(models.names)
