function [specFeat, tempFeat] = collectFeatures(snd,specEnv,harmEnv)
% [specFeat, tempFeat] = collectFeatures(snd,specEnv,harmEnv)
% 
% collect all features for an analyzed sample

global sw
minAge=3;

specFeat.data=[];
tempFeat.data=[];

%% collect feature vectors of all usable agents
for a=1:length(snd.agents)
  % conditions:
  if (~snd.agents(a).valid), continue; end
  if (snd.agents(a).age<minAge), continue; end
  
  feat=getAgentFeatures(snd,snd.agents(a),specEnv,harmEnv);

  numSpecVec=size(specFeat.data,2);

   % get F0 features
  specFeat.data(1:size(feat.vect.F0,1),numSpecVec+1:numSpecVec+size(feat.vect.F0,2)) = feat.vect.F0; 
   % get Win feratures?				
  if (sw.GetWinFeat) 
    specFeat.data(size(feat.vect.F0,1)+1:size(feat.vect.F0,1)+size(feat.vect.Win,1),numSpecVec+1:numSpecVec+size(feat.vect.Win,2)) = feat.vect.Win; 
  end 
   %get temporal features  
  tempFeat.data(:,end+1) = feat.vect.temp;
  tempFeat.names = feat.names.temp;
end  

specFeat.names=strvcat(feat.names.F0);
if (sw.GetWinFeat),specFeat.names=strvcat(specFeat.names,feat.names.Win);end

  
