function eacf = eacf(data,N)
%
% enhanced acf
%
global samplFreq

%eacf=-acf(data);
%eacf=(eacf+abs(eacf))/2;

warning off %MATLAB:divideByZero

eacf=abs(acf(data));

% exponentielle Gewichtung
eacf=eacf.*exp(-[0:length(eacf)-1]*5/length(eacf))';

for i=2:N+1
    %expand (cheap) negatives clipped
    streched=interp(eacf,i);
    
    eacf= eacf-streched(1:length(eacf));
    
    %clip again
    eacf=(eacf+abs(eacf))/2;
end

t=0:1/samplFreq:(length(eacf)-1)/samplFreq;
f=1./t;

warning on %MATLAB:divideByZero

%figure
%plot(t,eacf);
%title('eacf')
