%% train all models for all instruments

clear global instModels
global instModels

instModels.names=[];

%% train Gaussian Mixture Models for each instument class
for m=1:length(insts)
  instModels.names = strvcat(instModels.names,insts(m).name);
  [instModels.GMM.specModel(m), instModels.GMM.tempModel(m), stats] = trainGMM(insts(m).specFeat, insts(m).tempFeat); 
  instModels.dataPoints(m)=stats %number of data points
end

%% train one Neuronal Network for all instrument classes 
[instModels.NN.spec instModels.NN.temp] = trainNN(insts);

%% train one Support Vector Model for all instrument classes
[instModels.SVM.spec instModels.SVM.temp] = trainSVM(insts);

%% save normalization data (same for all insts)
instModels.stats = insts(1).stats;

%% save envelopes
instModels.specEnv={insts.specEnv} 
instModels.harmEnv={insts.harmEnv} 
