function harmMSE = getHarmModelMSE(f0, harmEnv)
%harmMSE = getHarmModelMSE(f0, harmEnv) 
% 
% compares f0's harmonics' ratios with model ratio envelope
% a reliaility-weighted MSE is returned
%
global sw opt
plotLineOrder=strvcat('-','-.');
global plotDotOrder

numOfHarm=size(harmEnv{1},2);
numCells=cellfun('ndims', harmEnv);

for i=1:numCells
  thisHarm=10*log10(abs(f0.harmAmp(2:numOfHarm+1))/abs(f0.harmAmp(1)));
   % square and weight with reliability
  se=(thisHarm-harmEnv{i}(f0.ind,:)).^2.*f0.reliab(2:numOfHarm+1)';
  harmMSE(i,1)=sum(se)/sum(f0.reliab(2:numOfHarm+1));
end


if (sw.DebugMode==1)
	global var
        harmMSE
	figure(24)
        for i=1:numCells
          plot(var.f(1:round(opt.highestF*var.fLen/var.fMax)),harmEnv{i}, plotLineOrder(i,:));
	  hold on
        end
	%plot(diag(f0.ind*ones(1,numOfHarm)),diag(20*log10(abs(f0.harmAmp(2:numOfHarm+1)))),'*' )
	hold off	
        title(strcat('F0:',num2str(f0.harmFreqs(1))));       
	xlabel('f0')
	ylabel('Mean Harmonics Amplitude Ratios [dB]')
   	legend('sax h2/h1','sax h3/h1','sax h4/h1','sax h5/h1','nosax h2/h1','nosax h3/h1','nosax h4/h1','nosax h5/h1')

	%% print to file
	set(gcf, 'PaperPosition', [1 3 7 5]);
	print -depsc2 harmModels.eps

end
