function f0 = getHarmonics(v,f0,spec)
% struct array f0 = getHarmonics(v, f0, spec)
% 
% input
%   v: snd.var, audio parameters
%   f0: detected f0 struct array
%   spec: spectrum
%
% adds fields:
%   f0(.).harmFreqs
%   f0(.).harmAmp
%   f0(.).energyAbs
%   f0(.).energy - this stay empty here

global opt

if (nargin <3), spec=ones(v.fLen,1);end

harmFreqs=cell(1,1);
a=cell(1,1);
for i=1:length(f0)
    f0(i).harmFreqs=[f0(i).freq : f0(i).freq : v.fMax];  
    % find amplitudes
    ind=round(f0(i).harmFreqs'/v.fMax*v.fLen);
    f0(i).harmAmp=spec(ind)';
    f0(i).energyAbs = sum(abs(f0(i).harmAmp).^2);
    f0(i).energy = [];  %prepare for later
end

