function q0 = getQ0s(v, ceps, thrs)
%struct array f0 = getF0s(spec,thrs)
% 
% spec: preprocessed spectrum vector
% thrs: thresold for normalized amplitude (default 0.25)
%
% global wSpec used
%
% F0 : list of F0 frequencies
% F0ind : F0 indexes in spec
% a: amplitudes of F0's
%

global opt

if nargin<4, thrs=opt.thrsF0 ; end    


% local definitions
dInd=6;
interpFac=16;

 % select only indices within note range
lowestInd=round(1/opt.highestF*opt.samplFreq);
highestInd=round(1/opt.lowestF*opt.samplFreq);
 % for proper indices
if (dInd > lowestInd-1), lowestInd=dInd+1; end
if (highestInd > size(ceps,1) - dInd-1), highestInd = size(ceps,1) - dInd-1;end

subInd=lowestInd:highestInd;

subCeps=ceps(subInd);

offsInd=lowestInd-1;

f0(1).freq=0;
f0(1).ind=1;
f0(1).a=0;

lastAmp=1;
i=1;
while (lastAmp>thrs)&(i<=6)
    
    % get next maximum
    [aTmp, subF0indTmp]=max(subCeps); 

    F0indTmp = subF0indTmp+offsInd;
    F0Tmp = F0indTmp*v.fMax/v.fLen;
    % get better frequency and amplitude with interpolation
    % wACF is used because ACF showed to be more exact than a preprocessed ACF / CEACF

    rsSpec=interp(abs(ceps(F0indTmp-dInd:F0indTmp+dInd)),interpFac,dInd);

    [aTmp2 tmpInd]=max(rsSpec);
    rsF0indTmp=(F0indTmp-dInd)+round(tmpInd/interpFac);
    rsF0Tmp=(F0indTmp-dInd+tmpInd/interpFac)*v.fMax/v.fLen;

    % % erase this max within at least a 1/4 tone
    
    % in subCeps  
      kill=floor(F0Tmp/(2^(1/24))/v.fMax*v.fLen):ceil(F0Tmp*(2^(1/24))/v.fMax*v.fLen);
       % shift it for subCeps
      kill=kill-offsInd;

      goodKillInd=find(kill>0 & kill<=length(subCeps));
      kill=kill(goodKillInd);

      subCeps(kill)=zeros(1,length(kill));
    % and in rawSpec (this is necessary because of possibly including this max when interpolating!)
      kill=floor(rsF0Tmp/(2^(1/24))/v.fMax*v.fLen):ceil(rsF0Tmp*(2^(1/24))/v.fMax*v.fLen);

      goodKillInd=find(kill>0 & kill<=length(ceps));
      kill=kill(goodKillInd);
      rawSpec(kill)=zeros(1,length(kill));
    %


    if ((aTmp>thrs))  %&(opt.lowestF<rsF0Tmp)&(rsF0Tmp<upperF0Limit))
 	if (length(intersect([rsF0Tmp], [f0.freq]))>0), continue; end
        %save F0
        f0(i).freq=rsF0Tmp;
        f0(i).ind=round(rsF0Tmp/v.fMax*v.fLen);
        f0(i).a=aTmp2;    
	i=i+1;
      
    end
    
    
    lastAmp=aTmp;
   
end    

q0=f0;
% because of wide maxima and interpolation, result can still contain multiple f0 of same freq. kill them!
