function specEnvModel = getSpecEnvModel(snd)
% specEnvModel = getSpecEnvModel(snd)
%
% get spectral envelope based on harmonics' amplitudes

global opt

wins=snd.an.wins;
 % collect all harmAmps

data=zeros(round(opt.highestF*snd.var.fLen/snd.var.fMax),1);
numData=zeros(snd.var.fLen);

for w=1:snd.var.tLen
  if ~isstruct(wins(w).f0), continue;end
  %for f=1:length(wins(w).f0)
    f=1;
    for h=1:length(wins(w).f0(f).harmInds)
      nAmp=20*log10(abs(wins(w).f0(f).harmAmp(h)));
      data(wins(w).f0(f).harmInds(h),numData(wins(w).f0(f).harmInds(h))+1)=nAmp;
      numData(wins(w).f0(f).harmInds(h)) = numData(wins(w).f0(f).harmInds(h))+1;
    end
  %end
end

 % factor two seems necessary for having same scale (bug?)
specEnvModel=2*sum(data,2);

valid=find(numData>1);
for i=1:length(valid)
  specEnvModel(valid(i),:)=specEnvModel(valid(i),:)/numData(valid(i));
end

[B, A]=butter(1,0.01);
specEnvModel=filter(B,A,specEnvModel-mean(specEnvModel),[],1);
