function [tempFeat, tempFeatNames, data] = getTemporalF0Feat(snd, agent)
% [tempFeat, tempFeatNames, data] = getTemporalF0Feat(snd, agent)
% 
% get agent-dependent feature vectors
%
% data is only used in evalSelect()
wins=snd.an.wins;
Spec=snd.an.Spec;
v=snd.var;

% get agent's history
trace=agent.trace;
% his f0's
for i=1:length(trace)
  f0s(i)=wins(agent.birth+i-1).f0(trace(i));
end

% widen the amplitude information in time
[startAmp, stopAmp]=widenAgentAmp(v,agent,Spec,4,4);
longAmp=[startAmp, [f0s.a],stopAmp];

% find attack => point with stongest positive deriv.
[riseMax, riseInd] = max(diff(longAmp));
[decayMax, decayInd] = min(diff(longAmp(riseInd:end)));
decayInd=decayInd+riseInd;
[ampMax, ampMaxInd] = max(longAmp(riseInd:decayInd));
ampMaxInd=ampMaxInd+riseInd-1;

% part of sig with 10% of maximum
ampHighInd=find(longAmp>0.01*ampMax);
ampHigh=longAmp(ampHighInd);
%noteLength=length(ampHighInd);
noteLength=length(f0s);

%decayAmp=longAmp(riseInd:end);

tempFeat=[	median(diff(20*log10(abs(ampHigh))))/max(ampHigh);
		max(abs(ampHigh))/mean(abs(ampHigh));
		std([f0s.freq]);
		noteLength;
		%riseMax;
		%decayMax;
];

tempFeatNames=strvcat('medianAmpDiff','crest','stdFreq','noteLen'); %,'riseMax','decayMax');

% for evalSelect:
data.longAmp=longAmp;
data.riseInd=riseInd;
