% init global environment

%path to netlab and SVM toolbox
addpath /home/linux21/brenziko/labo
addpath /home/linux21/brenziko/tmp

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% sampling and FFT
global opt
opt.samplFreq=11025; 
opt.windowSize=1024; %Samples
[opt.aWindow, opt.sWindow]=winFct(opt.windowSize,1);
opt.windowHop=opt.windowSize;

opt.fftSize=opt.windowSize;
opt.lowestF=100; %Hz
opt.highestF=1000; %Hz
opt.cepWinSize=10;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% arbitrary thresolds and levels
opt.thrsF0=0.10;
opt.thrsEnergy=0.01;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% training and classification
opt.specGMMsize=50;
opt.tempGMMsize=10;

opt

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% physics

global c
c=330 % schallgeschw. m/s

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% switches

global sw

sw.ShowF0=1;
sw.ShowOverlap=0;
sw.ShowModel=0;
sw.ShowCASA=0;
sw.ShowFirstF0=0;

sw.SynthAll=0;
sw.GetSpecLiftered=0;
sw.DebugMode=0;
sw.GetWinFeat=0;
sw

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% for later use

global sel
% colors and styles for plotting
global plotLineOrder
plotLineOrder=strvcat('b','g','r','c','m','y','k','b-','g-','r-','c-','m-','y-','k-','b:','g:','r:','c:','m:','y:','k:');
global plotDotOrder
plotDotOrder=strvcat('bo','go','ro','co','mo','yo','ko','bx','gx','rx','cx','mx','yx','kx','b*','g*','r*','c*','m*','y*','k*','bs','gs','rs','cs','ms','ys','ks');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% evaluation of settings
disp('---------- evaluation of settings ---------')

fMax=opt.samplFreq/2
frequencyResolution=opt.samplFreq/2/opt.fftSize
lowestSemitone=frequencyResolution/(2^(1/12)-1)  % Hz, lowest distinguishable Semitone for given freq. Res.
timeResolution=opt.windowHop/opt.samplFreq % sec

