function im=mySpecOverlay(spg, overlays, colordef)
% im=mySpecOverlay(spg, overlays, colordef)
% output:
%   im: image (NxMx3)
% input:
%   spg: spectrogram (NxM)
%   overlays: cell array: overlay information {Ovrl}(NxM) NORMALIZED!
%   colordef: cell array: base color for each overlay {Ovrl}(3) out of [0:1]
% 
%   ! mask is dilated !



if isa(overlays, 'cell')
  ndimList=cellfun('ndims', overlays);
else
  ndimList=0;
end
numOfOvrl=length(ndimList)

imSize=size(spg)

%normalize spg
spg=spg/max(max(spg));

if (ndimList>0)
 
  % generate mask
  mask=zeros([imSize 3]);
  for ovr=1:numOfOvrl
    for col=1:3
        mask(:,:,col)=mask(:,:,col) + colordef{ovr}(col)*overlays{ovr};
    end    
  end
  %flatmask=sum(mask,3);


  %dilate mask
  se = strel('line',3,90);
  %for i=1:2
     mask = imdilate(mask,se);
  %end
end

% make grayscale spectrogram
im=zeros([imSize 3]);
for col=1:3
    im(:,:,col)=spg;
end    

if (ndimList>0)
%merge mask to im
maskInd=find(mask>0);
im(maskInd)=mask(maskInd);
end

%normalize
im=im./max(max(max(im)));

