function stereoData = placeInSpace(tracks, angles)
%
% synthetic model for free space propagation
%

global c
global opt

d=3 % distance from microphones [m]
RLdist=.2 % dist between L and R Microphone [m]
newDur=length(tracks)/opt.samplFreq+(d+RLdist)/c
stereoData=zeros(floor(opt.samplFreq*newDur),2);

%calculate geometry

% distances to left/right Microphone [left, right]
distRL=[sqrt((d^2+(0.5*RLdist)^2-2*d*(0.5*RLdist)*cos(2*pi/360*(90+angles')))), sqrt((d^2+(0.5*RLdist)^2-2*d*(0.5*RLdist)*cos(2*pi/360*(90-angles'))))]

% propagation time
tauRL = distRL/c

%amplitude
aRL = 1./distRL

size(tracks)
% Left channel
for i=1:length(angles)
   thisTrack = conv(tracks(:,i),aRL(i,1)*dirac(tauRL(i,1)));
   %size(thisTrack)
   %size(stereoData(1:length(thisTrack),1))
   stereoData(1:length(thisTrack),1)=stereoData(1:length(thisTrack),1)+thisTrack ;
end

% Right channel
for i=1:length(angles)
   thisTrack = conv(tracks(:,i),aRL(i,2)*dirac(tauRL(i,2)));
   %size(thisTrack)
   %size(stereoData(1:length(thisTrack),2))
   stereoData(1:length(thisTrack),2)=stereoData(1:length(thisTrack),1)+thisTrack; 
end

%stereoData=0.95*stereoData/max(max(stereoData));