function insts=prepareModelFeatures(insts)
% insts=prepareModelFeatures(insts)
% 
% obtains all feature vectors for model training

global opt

numInsts=length(insts);
allSpecFeat=[];
allTempFeat=[];

%%
%% collect training vectors

for i=1:numInsts
  [insts(i).specFeat, insts(i).tempFeat] = collectFeatures(insts(i).snd,{insts.specEnv},{insts.harmEnv});
  allSpecFeat=[allSpecFeat insts(i).specFeat.data];
  allTempFeat=[allTempFeat insts(i).tempFeat.data];

end

%%
%% normalize 2-sigma range of all features to -1:1

stats.specMu=mean(allSpecFeat,2);
stats.specStd=std(allSpecFeat,0,2);
stats.tempMu=mean(allTempFeat,2);
stats.tempStd=std(allTempFeat,0,2);

for i=1:numInsts
  insts(i).specFeat.data=(diag(1/2./stats.specStd))*(insts(i).specFeat.data-stats.specMu*ones(1,size(insts(i).specFeat.data,2)));
  insts(i).tempFeat.data=(diag(1/2./stats.tempStd))*(insts(i).tempFeat.data-stats.tempMu*ones(1,size(insts(i).tempFeat.data,2)));
  insts(i).stats=stats;
end	
