function [stereo, mono]=reshapeWav(file, secStart, secStop, clipped)

global opt

if (nargin < 4), clipped=0;end

fileSamplRate=44100;
wavSize=wavread(file,'size');
if (fileSamplRate*secStop>wavSize(1))
  secStop=wavSize(1)/fileSamplRate;
end
sound=wavread(file,[1+fileSamplRate*secStart fileSamplRate*secStop]);


decim=fileSamplRate/opt.samplFreq;
if (size(sound,2)==1)
  %wav is mono
  mono=decimate(sound(:,1),decim);
  stereo=[mono mono];
else  
  % wav is stereo
  stereo=[decimate(sound(:,1),decim) decimate(sound(:,2),decim)];
  mono=sum(stereo,2);
end  

%% clip off breaks if wished
if (clipped)
 cells = sliceWav(mono);
 % concatenate
 mono=[];
 for i=1:length(cellfun('ndims',cells))
   mono=[mono; cells{i}];
 end
 stereo=[mono,mono];
end
