function void = showSpec(snd)
% plots spectrogram plus masks

global sw

figure(1)
mask=[];
colors{1}=[1 1 1];
ind=1;

if (sw.ShowF0)
  mask{ind}=snd.an.masks.F0/max(max(snd.an.masks.F0));
  colors{ind}=[1 0.1 0.1];
  ind=ind+1;
end
if (sw.ShowFirstF0)
  mask{ind}=snd.an.masks.FirstF0;
  colors{ind}=[0.5 0.5 0.5];
  %colors{ind}=[1 1 1];
  ind=ind+1;
end
if (sw.ShowOverlap)
  mask{ind}=snd.an.masks.Overlap;
  colors{ind}=[0.1 1 0.1];
  ind=ind+1;
end
if (sw.ShowModel)
  mask{ind}=snd.an.masks.Model;
  colors{ind}=[0.1 1 1];
  ind=ind+1;
end
if (sw.ShowCASA)
  mask{ind}=snd.an.masks.CasaAmp;
  colors{ind}=[1 0.1 1];
  ind=ind+1;
end
%if (ind>1)
  
im=mySpecOverlay(20*log10(abs(snd.an.Spec)+1),mask,colors);

%else
%  im(:,:,1)=20*log10(abs(snd.an.Spec)+1);
%  im(:,:,2)=im(:,:,1);
%  im(:,:,3)=im(:,:,1);
%end
%im=im./max(max(max(im)));


Tax=[0 snd.var.tMax];
%Fax=[0 fMax];
Fax=[0 1000];

image(snd.var.t,snd.var.f,1-im)
axis xy;
axis([Tax Fax]);
xlabel('time [s]')
ylabel('freq [Hz]')

%% file output

%hText = findall(gcf,'Type','text')
%hAxes = findall(gcf,'Type','axes')
%set([hText;hAxes], 'FontName','AvantGarde','FontSize',8);
set(gcf, 'PaperPosition', [1 3 7 5]);
print -depsc2 showSpec.eps


