function data = synthSound(F0, harmonics, dynamics)
%data = synthSound(F0, harmonics, dynamics)
%
% simulates an instrument
% harmonics: cell array!
% generates a sound with F0 and harmonics of amplitude as described 
% in harmonics=[ aF0, aF1, aF2..]
%
% dynamics in time
global opt sw


data=zeros(length(dynamics),length(F0));
t=[0:1/opt.samplFreq:length(dynamics)/opt.samplFreq-1/opt.samplFreq]';

for j=1:length(F0);
    for i=1:size(harmonics{j},2)
        data(:,j)= data(:,j) + dynamics(:,j).*(harmonics{j}(i)*sin(2*pi*(F0(j)*i)*t));
    end
end
% normalize to 99%
data= 0.99*data/max(max(abs(data)));