function [specModel, tempModel, stats]=trainGMM(specFeat, tempFeat)
% [specModel, tempModel, stats]=trainGMM(specFeat, tempFeat)
% 
% trains Gaussian Mixture Models
%

global opt

stats.numSpecData=size(specFeat.data,2);
stats.numTempData=size(tempFeat.data,2);

disp('trainGMM: train specModel')     

specModel = gmm(size(specFeat.data,1), opt.specGMMsize, 'diag');    
options = foptions;  
specModel = gmminit(specModel, specFeat.data', options);     
options(1) = 1; % Prints out error values. 
options(3) = 10; %10^-15;
options(14) = 10; % Max. number of iterations.
specModel = gmmem(specModel, specFeat.data', options);     

%%
disp('trainGMM: train tempModel')    

tempModel = gmm(size(tempFeat.data,1), opt.tempGMMsize, 'diag');    
options = foptions;  
tempModel = gmminit(tempModel, tempFeat.data', options);     
options(1) = 1; % Prints out error values. 
options(3) = 10; %10^-15;
options(14) = 10; % Max. number of iterations.
tempModel = gmmem(tempModel, tempFeat.data', options);     
