function [specNet, tempNet]=trainNN(insts)
%
% 
%
numInsts=length(insts);

specInputVec=[];
tempInputVec=[];
specOutputVec=[];
tempOutputVec=[];

%%
%% collect training vectors

for i=1:numInsts
  %[specFeat, tempFeat] = collectFeatures(insts(i).snd);
	
	
  specInputVec=[specInputVec insts(i).specFeat.data];
  tempInputVec=[tempInputVec insts(i).tempFeat.data];
  
  %desired output, one neuron per instrument
  out=zeros(numInsts,1);
  out(i)=1;
  
  specOutputVec=[specOutputVec out*ones(1,size(insts(i).specFeat.data,2))];
  tempOutputVec=[tempOutputVec out*ones(1,size(insts(i).tempFeat.data,2))];
end



%%
%% split into training and validation set
validationSize=0.1 % 10 percent
% random select out of training set

%spectral model
specValInd=round(1+(size(specInputVec,2)-1)*rand(1,round(size(specInputVec,2)*validationSize)));
specTrainInd=setdiff(1:size(specInputVec,2),specValInd);
specTrainIn=specInputVec(:,specTrainInd);  
specTrainOut=specOutputVec(:,specTrainInd);
specVal.P=specInputVec(:,specValInd);  
specVal.T=specOutputVec(:,specValInd);
specRange=[min(specInputVec,[],2), max(specInputVec,[],2)];

%temporal model
tempValInd=round(size(tempInputVec,2)*rand(1,round(size(tempInputVec,2)*validationSize)));
tempTrainInd=setdiff(1:size(tempInputVec,2),tempValInd);
tempTrainIn=tempInputVec(:,tempTrainInd);  
tempTrainOut=tempOutputVec(:,tempTrainInd);
tempVal.P=tempInputVec(:,tempValInd);  
tempVal.T=tempOutputVec(:,tempValInd);
tempRange=[min(tempInputVec,[],2), max(tempInputVec,[],2)];

%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% set up and train neuronal network for spectral features

specNet=newff(specRange,[size(specInputVec,1),2,2,numInsts],{'purelin','purelin','purelin','logsig'},'trainscg');

specNet=init(specNet);

specNet.trainParam.show = 50;
specNet.trainParam.lr = 0.05;
specNet.trainParam.epochs = 3000;
specNet.trainParam.goal = 1e-2;

[specNet,tr]=train(specNet,specTrainIn,specTrainOut,[],[],specVal);
%[specNet,tr]=train(specNet,specTrainIn,specTrainOut);


%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% set up and train neuronal network for temporal features

tempNet=newff(tempRange,[size(tempInputVec,1),4,4,numInsts],{'purelin','purelin','purelin','logsig'},'trainscg');

tempNet=init(tempNet);

tempNet.trainParam.show = 50;
tempNet.trainParam.lr = 0.05;
tempNet.trainParam.epochs = 3000;
tempNet.trainParam.goal = 1e-2;

[tempNet,tr]=train(tempNet,tempTrainIn,tempTrainOut,[],[],tempVal);
%[tempNet,tr]=train(tempNet,tempTrainIn,tempTrainOut);

