function [startAmp, stopAmp] = widenAgentAmp(v,agent,specGram,startOff, stopOff)
%
% evaluates the f0 amplitude before the birth of the agent
% (to get the moment of attack)
%
if (nargin<5),stopOff=0;end
global opt sw

 %check borders
tLen=size(specGram,2);

if (startOff>=agent.birth), startOff=agent.birth-1; end
if (stopOff>=tLen-agent.death), stopOff=tLen-agent.death; end

if (startOff>0)
  startFreq = agent.startFreq;
  startInd  = round(startFreq/v.fMax*v.fLen+0.5);
  startAmp  = abs(specGram(startInd,agent.birth-startOff:agent.birth-1));
else startAmp=[];
end
if (stopOff>0)
  stopFreq = agent.startFreq; % could be done better! in case of a drift
  stopInd  = round(stopFreq/v.fMax*v.fLen+0.5);
  stopAmp  = abs(specGram(stopInd,agent.death:agent.death+stopOff));
else stopAmp=[];
end